Relations

Insert

POST https://interay.io/api/v1/entities/relations/insert

Insert entity relation into the entity tree

type

object

properties

  • entity

The unique identifier.

type

string (UUID)

  • parentEntity

The destination parent unique identifier.

type

string (UUID)

Example request

POST https://interay.io/api/v1/entities/relations/insert
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Content-Type: application/json
{
        "entity": "00000000-0000-0000-0000-000000000000",
        "parentEntity": "99999999-9999-9999-9999-999999999999"
}

Example response

200 OK

Delete

POST https://interay.io/api/v1/entities/relations/delete

Delete entity relation from the entity tree

type

object

properties

  • entity

The unique identifier.

type

string (UUID)

  • parentEntity

The source parent unique identifier.

type

string (UUID)

Example request

POST https://interay.io/api/v1/entities/relations/delete
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Content-Type: application/json
{
        "entity": "00000000-0000-0000-0000-000000000000",
        "parentEntity": "99999999-9999-9999-9999-999999999999"
}

Example response

200 OK

Update

POST https://interay.io/api/v1/entities/relations/update

Move entity relation in the entity tree

type

object

properties

  • entity

The unique identifier.

type

string (UUID)

  • fromParentEntity

The source parent unique identifier.

type

string (UUID)

  • toParentEntity

The destination parent unique identifier.

type

string (UUID)

Example request

POST https://interay.io/api/v1/entities/relations/update
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Content-Type: application/json
{
        "entity": "00000000-0000-0000-0000-000000000000",
        "fromParentEntity": "88888888-8888-8888-8888-888888888888",
        "toParentEntity": "99999999-9999-9999-9999-999999999999"
}

Example response

200 OK